ISC BIND Memory Leak DoS Vulnerability

high Nessus Plugin ID 122505
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote name server is affected by a Memory Leak DoS vulnerability.

Description

According to its self-reported version, the instance of ISC BIND 9 running on the remote name server is less than 9.11.5-P4 / 9.11.5-S5 / 9.12.3-P4 / 9.13.7. It is, therefore, affected by a denial of service vulnerability.

- A memory leak vulnerability exists for named's memory use. An unauthenticated, remote attacker can cause named's memory use to grow without bounds until all memory available to the process is exhausted. (CVE-2018-5744)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to ISC BIND version 9.11.5-P4 / 9.12.3-P4 / 9.13.7 or later.

See Also

http://www.nessus.org/u?819e1b27

https://kb.isc.org/docs/cve-2018-5744

http://www.nessus.org/u?ce21c14e

http://www.nessus.org/u?d3f49be7

Plugin Details

Severity: High

ID: 122505

File Name: bind9_CVE-2018-5744.nasl

Version: 1.4

Type: remote

Family: DNS

Published: 3/1/2019

Updated: 11/8/2019

Dependencies: bind_version.nasl

Configuration: Enable paranoid mode

Risk Information

CVSS Score Source: CVE-2018-5744

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:a:isc:bind:*:*:*:*:*:*:*:*

Required KB Items: Settings/ParanoidReport, bind/version

Exploit Ease: No known exploits are available

Patch Publication Date: 2/21/2018

Vulnerability Publication Date: 2/21/2018

Reference Information

CVE: CVE-2018-5744

BID: 107125